
QGIS Application - Bug report #4379

if "Options -> CRS -> coordinate reference system for new layers" is set "prompt for CRS", then the 

CRS is asked when creating a new shapefile layer

2011-10-14 09:10 AM - Giovanni Manghi

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 14311

Description

See subject -> asking for CRS for a new shapefile layer does not make sense, also because in the following dialog it is asked to choose

the CRS to be used for the shapefile being created.

Associated revisions

Revision bd5c9012 - 2011-12-23 10:34 AM - Alexander Bruy

[BACKPORT] don't ask for CRS when opening New Shapefile dialog (fix #4379)

Revision f2eea5e6 - 2011-12-23 10:41 AM - Alexander Bruy

[BACKPORT] don't ask for CRS when opening New Shapefile dialog (fix #4379)

History

#1 - 2011-10-15 07:32 AM - Giovanni Manghi

- Subject changed from if "Options -> CRS -> coordinate reference system for new layers" is set "prompt for CRS", then the CRS is asked creating a new 

shapefile layer to if "Options -> CRS -> coordinate reference system for new layers" is set "prompt for CRS", then the CRS is asked when creating a new 

shapefile layer

#2 - 2011-12-16 02:10 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#3 - 2011-12-23 01:49 AM - Alexander Bruy

- Affected QGIS version set to master

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:"bd5c9012836f38a2f1391337d94b34b52e803e31".

#4 - 2011-12-23 01:53 AM - Alexander Bruy

- Crashes QGIS or corrupts data set to No

Also backported to 1.7 and 1.8
